# This package only contains a static library
%global debug_package %{nil}

%global obs_EVR 0.9.33.2-8

Name:           uClibc-ng
Version:        1.0.5
Release:        1%{?dist}
Summary:        C library for embedded Linux

Group:          Development/Libraries

License:        LGPLv2
URL:            http://www.uclibc-ng.org/
Source0:        http://downloads.uclibc-ng.org/releases/%{version}/%{name}-%{version}.tar.xz
Source1:        %{name}.config

BuildRequires:  kernel-headers >= 3.0

# uClibc-ng does not support ppc64 and aarch64
ExcludeArch: ppc64 aarch64

%description
uClibc-ng is a small C library for developing embedded Linux systems.
It is much smaller than the GNU C Library, but nearly all applications
supported by glibc also work perfectly with uClibc-ng.


%package devel
Summary:        Header files and libraries for uClibc-ng library

Group:          Development/Libraries

Provides:       %{name}-static = %{version}-%{release}

# uClibc-ng replaces uClibc
Provides:       uClibc-devel = %{version}-%{release}
Obsoletes:      uClibc-devel < %{obs_EVR}
Provides:       uClibc-static = %{version}-%{release}
Obsoletes:      uClibc-static < %{obs_EVR}

%description devel
uClibc-ng is a small C library for developing embedded Linux systems.
It is much smaller than the GNU C Library, but nearly all applications
supported by glibc also work perfectly with uClibc-ng.
This package contains the header files and libraries
needed for uClibc-ng package.


%prep
%setup -q

cat %{SOURCE1} > .config1


%build
mkdir kernel-include
cp -a %{_includedir}/asm kernel-include
cp -a %{_includedir}/asm-generic kernel-include
cp -a %{_includedir}/linux kernel-include

arch=$(uname -m | sed -e 's/i.86/i386/' -e 's/ppc/powerpc/' -e 's/armv7l/arm/' -e 's/armv5tel/arm/')
echo "TARGET_$arch=y" > .config
echo "TARGET_ARCH=\"$arch\"" >> .config

%ifarch %{arm}
echo "CONFIG_ARM_EABI=y" >> .config
echo "ARCH_ANY_ENDIAN=n" >> .config
echo "ARCH_LITTLE_ENDIAN=y" >> .config
echo "ARCH_WANTS_LITTLE_ENDIAN=y" >> .config
%endif

cat .config1 >> .config

yes "" | make oldconfig
make V=1 %{?_smp_mflags}


%install
make install PREFIX="%{buildroot}" MULTILIB_DIR="%{_lib}"
make install_headers PREFIX="%{buildroot}" DEVEL_PREFIX="/"

# move libraries to proper subdirectory
mkdir -p %{buildroot}%{_libdir}/uClibc
mv %{buildroot}/%{_lib}/* %{buildroot}%{_libdir}/uClibc
rm -rf %{buildroot}/%{_lib}

# move includes to proper subdirectory
mkdir -p %{buildroot}%{_includedir}/uClibc
mv %{buildroot}/include/* %{buildroot}%{_includedir}/uClibc
rm -rf  %{buildroot}/include


%files devel
%license COPYING.LIB
%doc README
%doc docs/Glibc_vs_uClibc_Differences.txt
%doc docs/PORTING
%doc docs/threads.txt
%doc docs/uClibc_vs_SuSv3.txt
%{_libdir}/uClibc
%{_includedir}/uClibc


%changelog
* Thu Aug 13 2015 Nikola Forró <nforro@redhat.com> - 1.0.5-1
- Initial package
